LogConfigurationException
Date: 2015-09-14

org.apache.commons.logging

## Class LogConfigurationException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.apache.commons.logging.LogConfigurationException

- All Implemented Interfaces:
    java.io.Serializable

      public class LogConfigurationException
      extends java.lang.RuntimeException

  An exception that is thrown only if a suitable `LogFactory` or `Log` instance cannot be created by the corresponding factory methods.
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected java.lang.Throwable` | `cause` The underlying cause of this exception.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `LogConfigurationException()` Construct a new exception with `null` as its detail message.
    `LogConfigurationException(java.lang.String message)` Construct a new exception with the specified detail message.
    `LogConfigurationException(java.lang.String message, java.lang.Throwable cause)` Construct a new exception with the specified detail message and cause.
    `LogConfigurationException(java.lang.Throwable cause)` Construct a new exception with the specified cause and a derived detail message.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Throwable` | `getCause()` Return the underlying cause of this exception (if any).

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### cause

          protected java.lang.Throwable cause

      The underlying cause of this exception.

  - ### Constructor Detail

    - #### LogConfigurationException

          public LogConfigurationException()

      Construct a new exception with `null` as its detail message.

    - #### LogConfigurationException

          public LogConfigurationException(java.lang.String message)

      Construct a new exception with the specified detail message.
      Parameters:
        `message` - The detail message

    - #### LogConfigurationException

          public LogConfigurationException(java.lang.Throwable cause)

      Construct a new exception with the specified cause and a derived detail message.
      Parameters:
        `cause` - The underlying cause

    - #### LogConfigurationException

          public LogConfigurationException(java.lang.String message,
                                   java.lang.Throwable cause)

      Construct a new exception with the specified detail message and cause.
      Parameters:
        `message` - The detail message
        `cause` - The underlying cause

  - ### Method Detail

    - #### getCause

          public java.lang.Throwable getCause()

      Return the underlying cause of this exception (if any).
      Overrides:
        `getCause` in class `java.lang.Throwable`